import mongoose from "mongoose";
import UserSchema from "../models/users";

export const validateSessionUser = async (sessionUser: string): Promise<void> => {
    const user = await UserSchema.findOne({
        _id: new mongoose.Types.ObjectId(sessionUser),
    });

    console.log(new mongoose.Types.ObjectId(sessionUser));

    if (!user) {
        throw new Error(
            "No se ha encontrado el usuario o no tiene permisos para realizar esta acción"
        );
    }
};
